CVE-2009-3546

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2009-3546
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2009-3546.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2009-3546
Related
Published
2009-10-19T20:00:00Z
Modified
2024-06-30T12:28:02.196567Z
Summary
[none]
Details

The gdGetColors function in gdgd.c in PHP 5.2.11 and 5.3.x before 5.3.1, and the GD Graphics Library 2.x, does not properly verify a certain colorsTotal structure member, which might allow remote attackers to conduct buffer overflow or buffer over-read attacks via a crafted GD file, a different vulnerability than CVE-2009-3293. NOTE: some of these details are obtained from third party information.

References

Affected packages

Debian:11 / libgd2

Package

Name
libgd2
Purl
pkg:deb/debian/libgd2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.36~rc1~dfsg-3.1

Ecosystem specific

{
    "urgency": "medium"
}

Debian:12 / libgd2

Package

Name
libgd2
Purl
pkg:deb/debian/libgd2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.36~rc1~dfsg-3.1

Ecosystem specific

{
    "urgency": "medium"
}

Debian:13 / libgd2

Package

Name
libgd2
Purl
pkg:deb/debian/libgd2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.36~rc1~dfsg-3.1

Ecosystem specific

{
    "urgency": "medium"
}

Debian:11 / libwmf

Package

Name
libwmf
Purl
pkg:deb/debian/libwmf?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

0.*

0.2.8.4-17
0.2.12-1
0.2.12-2
0.2.12-3
0.2.12-4
0.2.12-5
0.2.12-5.1
0.2.12-5.2
0.2.13-1
0.2.13-1.1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / libwmf

Package

Name
libwmf
Purl
pkg:deb/debian/libwmf?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

0.*

0.2.12-5.1
0.2.12-5.2
0.2.13-1
0.2.13-1.1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / libwmf

Package

Name
libwmf
Purl
pkg:deb/debian/libwmf?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

0.*

0.2.12-5.1
0.2.12-5.2
0.2.13-1
0.2.13-1.1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:11 / racket

Package

Name
racket
Purl
pkg:deb/debian/racket?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.0.2-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / racket

Package

Name
racket
Purl
pkg:deb/debian/racket?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.0.2-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / racket

Package

Name
racket
Purl
pkg:deb/debian/racket?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.0.2-1

Ecosystem specific

{
    "urgency": "unimportant"
}